Skip to content
Start here

Enable R2 bucket as a catalog

r2_data_catalog.enable(strbucket_name, R2DataCatalogEnableParams**kwargs) -> R2DataCatalogEnableResponse
POST/accounts/{account_id}/r2-catalog/{bucket_name}/enable

Enable an R2 bucket as an Apache Iceberg catalog. This operation creates the necessary catalog infrastructure and activates the bucket for storing Iceberg metadata and data files.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers R2 Data Catalog Write
ParametersExpand Collapse
account_id: str

Use this to identify the account.

bucket_name: str

Specifies the R2 bucket name.

maxLength63
minLength3
ReturnsExpand Collapse
class R2DataCatalogEnableResponse:

Contains response from activating an R2 bucket as a catalog.

id: str

Use this to uniquely identify the activated catalog.

formatuuid
name: str

Specifies the name of the activated catalog.

Enable R2 bucket as a catalog

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.r2_data_catalog.enable(
    bucket_name="my-data-bucket",
    account_id="0123456789abcdef0123456789abcdef",
)
print(response.id)
{
  "errors": [],
  "messages": [],
  "result": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "account123_my-bucket"
  },
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "account123_my-bucket"
  },
  "success": true
}